package sgc.portal.cs.cs0601.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0601.dto.CS06010001USearch;
import sgc.portal.cs.cs0601.service.CS06010001UService;

import java.util.List;

@RestController
@RequestMapping("/cs/cs0601")
public class CS06010001UController {
    private final CS06010001UService service;

    public CS06010001UController(CS06010001UService service) {
        this.service = service;
    }

    @PostMapping("/CS06010001U/getList1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CS06010001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CS06010001U/getList2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CS06010001USearch search) {
        return service.getList2(search);
    }
}
